curl --request GET \
--url https://vpos.payven.com.tr/api/v1/refunds/{id} \
--header 'Authorization: Bearer <token>'{
"message": "<string>",
"isSuccess": true,
"code": "<string>",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"merchantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"merchantExternalId": "<string>",
"merchantName": "<string>",
"refundAmount": 123,
"originalAmount": 123,
"currency": "<string>",
"status": "Pending",
"reasonCode": "CustomerRequest",
"reason": "<string>",
"createdBy": "<string>",
"created": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"errorMessage": "<string>",
"originalTransactionBasketId": "<string>",
"originalTransactionCardLast4": "<string>",
"originalTransactionCardSchemaType": "Visa",
"originalTransactionConnectorName": "<string>",
"originalTransactionCreated": "2023-11-07T05:31:56Z",
"providerTransactionId": "<string>",
"providerResponseCode": "<string>",
"providerResponseMessage": "<string>",
"siblingRefunds": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"refundAmount": 123,
"status": "Pending",
"created": "2023-11-07T05:31:56Z"
}
]
}
}curl --request GET \
--url https://vpos.payven.com.tr/api/v1/refunds/{id} \
--header 'Authorization: Bearer <token>'{
"message": "<string>",
"isSuccess": true,
"code": "<string>",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"merchantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"merchantExternalId": "<string>",
"merchantName": "<string>",
"refundAmount": 123,
"originalAmount": 123,
"currency": "<string>",
"status": "Pending",
"reasonCode": "CustomerRequest",
"reason": "<string>",
"createdBy": "<string>",
"created": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"errorMessage": "<string>",
"originalTransactionBasketId": "<string>",
"originalTransactionCardLast4": "<string>",
"originalTransactionCardSchemaType": "Visa",
"originalTransactionConnectorName": "<string>",
"originalTransactionCreated": "2023-11-07T05:31:56Z",
"providerTransactionId": "<string>",
"providerResponseCode": "<string>",
"providerResponseMessage": "<string>",
"siblingRefunds": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"refundAmount": 123,
"status": "Pending",
"created": "2023-11-07T05:31:56Z"
}
]
}
}Documentation Index
Fetch the complete documentation index at: https://docs.payven.com.tr/llms.txt
Use this file to discover all available pages before exploring further.